std::__profile::multiset< _Key, _Compare, _Allocator > Class Template Reference

`#include <multiset.h>`

Inherits multiset< _Key, std::less< _Key >, std::allocator< _Key > >, and std::__profile::_Ordered_profile< _Cont >.

## Public Types

typedef _Allocator | allocator_type
typedef __iterator_tracker< _Base_const_iterator, multiset > | const_iterator
typedef _Base::const_reference | const_reference
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator
typedef _Base::difference_type | difference_type
typedef __iterator_tracker< _Base_iterator, multiset > | iterator
typedef _Compare | key_compare
typedef _Key | key_type
typedef _Base::reference | reference
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef _Base::size_type | size_type
typedef _Compare | value_compare
typedef _Key | value_type

## Public Member Functions

template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>
| multiset (_InputIterator __first, _InputIterator __last, const _Compare &__comp=_Compare(), const _Allocator &__a=_Allocator())
template<typename _InputIterator >
| multiset (_InputIterator __first, _InputIterator __last, const allocator_type &__a)
| multiset (const _Base &__x)
| multiset (const _Compare &__comp, const _Allocator &__a=_Allocator())
| multiset (const allocator_type &__a)
| multiset (const multiset &)=default
| multiset (const multiset &__x, const allocator_type &__a)
| multiset (initializer_list< value_type > __l, const _Compare &__comp=_Compare(), const allocator_type &__a=allocator_type())
| multiset (initializer_list< value_type > __l, const allocator_type &__a)
| multiset (multiset &&)=default
| multiset (multiset &&__x, const allocator_type &__a) noexcept(noexcept(_Base(std::move(__x), __a)))
const _Base & | _M_base () const noexcept
_Base & | _M_base () noexcept
void | _M_profile_iterate (int __rewind=0) const
const_iterator | begin () const noexcept
iterator | begin () noexcept
const_iterator | cbegin () const noexcept
const_iterator | cend () const noexcept
void | clear () noexcept
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
size_type | count (const _Kt &__x) const
size_type | count (const key_type &__x) const
const_reverse_iterator | crbegin () const noexcept
const_reverse_iterator | crend () const noexcept
template<typename... _Args>
iterator | emplace (_Args &&... __args)
template<typename... _Args>
iterator | emplace_hint (const_iterator __pos, _Args &&... __args)
const_iterator | end () const noexcept
iterator | end () noexcept
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
std::pair< iterator, iterator > | equal_range (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
std::pair< const_iterator, const_iterator > | equal_range (const _Kt &__x) const
std::pair< iterator, iterator > | equal_range (const key_type &__x)
std::pair< const_iterator, const_iterator > | equal_range (const key_type &__x) const
size_type | erase (const key_type &__x)
iterator | erase (const_iterator __first, const_iterator __last)
iterator | erase (const_iterator __pos)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
iterator | find (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
const_iterator | find (const _Kt &__x) const
iterator | find (const key_type &__x)
const_iterator | find (const key_type &__x) const
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>
void | insert (_InputIterator __first, _InputIterator __last)
iterator | insert (const value_type &__x)
iterator | insert (const_iterator __pos, const value_type &__x)
iterator | insert (const_iterator __pos, value_type &&__x)
void | insert (initializer_list< value_type > __l)
iterator | insert (value_type &&__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
iterator | lower_bound (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
const_iterator | lower_bound (const _Kt &__x) const
iterator | lower_bound (const key_type &__x)
const_iterator | lower_bound (const key_type &__x) const
multiset & | operator= (const multiset &)=default
multiset & | operator= (initializer_list< value_type > __l)
multiset & | operator= (multiset &&)=default
const_reverse_iterator | rbegin () const noexcept
reverse_iterator | rbegin () noexcept
const_reverse_iterator | rend () const noexcept
reverse_iterator | rend () noexcept
void | swap (multiset &__x) noexcept(/*conditional */)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
iterator | upper_bound (const _Kt &__x)
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>
const_iterator | upper_bound (const _Kt &__x) const
iterator | upper_bound (const key_type &__x)
const_iterator | upper_bound (const key_type &__x) const

## Protected Member Functions

void | _M_profile_construct () noexcept
void | _M_profile_destruct () noexcept
void | _M_swap (_Ordered_profile &__other)

## Protected Attributes

__gnu_profile::__map2umap_info * | _M_map2umap_info

## Friends

template<typename _K1 , typename _C1 , typename _A1 >
bool | operator< (const multiset< _K1, _C1, _A1 > &, const multiset< _K1, _C1, _A1 > &)
template<typename _K1 , typename _C1 , typename _A1 >
bool | operator== (const multiset< _K1, _C1, _A1 > &, const multiset< _K1, _C1, _A1 > &)

## Detailed Description

template<typename _Key, typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
class std::__profile::multiset< _Key, _Compare, _Allocator >

Class std::multiset wrapper with performance instrumentation.

Definition at line 42 of file profile/multiset.h.

## Member Typedef Documentation

## allocator_type

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Allocator std::__profile::multiset< _Key, _Compare, _Allocator >::allocator_type

Definition at line 57 of file profile/multiset.h.

## const_iterator

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef __iterator_tracker<_Base_const_iterator, multiset> std::__profile::multiset< _Key, _Compare, _Allocator >::const_iterator

Definition at line 64 of file profile/multiset.h.

## const_reference

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Base::const_reference std::__profile::multiset< _Key, _Compare, _Allocator >::const_reference

Definition at line 59 of file profile/multiset.h.

## const_reverse_iterator

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef std::reverse_iterator<const_iterator> std::__profile::multiset< _Key, _Compare, _Allocator >::const_reverse_iterator

Definition at line 66 of file profile/multiset.h.

## difference_type

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Base::difference_type std::__profile::multiset< _Key, _Compare, _Allocator >::difference_type

Definition at line 69 of file profile/multiset.h.

## iterator

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef __iterator_tracker<_Base_iterator, multiset> std::__profile::multiset< _Key, _Compare, _Allocator >::iterator

Definition at line 62 of file profile/multiset.h.

## key_compare

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Compare std::__profile::multiset< _Key, _Compare, _Allocator >::key_compare

Definition at line 55 of file profile/multiset.h.

## key_type

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Key std::__profile::multiset< _Key, _Compare, _Allocator >::key_type

Definition at line 53 of file profile/multiset.h.

## reference

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Base::reference std::__profile::multiset< _Key, _Compare, _Allocator >::reference

Definition at line 58 of file profile/multiset.h.

## reverse_iterator

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef std::reverse_iterator<iterator> std::__profile::multiset< _Key, _Compare, _Allocator >::reverse_iterator

Definition at line 65 of file profile/multiset.h.

## size_type

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Base::size_type std::__profile::multiset< _Key, _Compare, _Allocator >::size_type

Definition at line 68 of file profile/multiset.h.

## value_compare

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Compare std::__profile::multiset< _Key, _Compare, _Allocator >::value_compare

Definition at line 56 of file profile/multiset.h.

## value_type

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

typedef _Key std::__profile::multiset< _Key, _Compare, _Allocator >::value_type

Definition at line 54 of file profile/multiset.h.

## Constructor & Destructor Documentation

## multiset() [1/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::__profile::multiset< _Key, _Compare, _Allocator >::multiset | ( | const _Compare & | __comp,
|  | const _Allocator & | __a = `_Allocator()`
| ) |  |

inline explicit

Definition at line 86 of file profile/multiset.h.

## multiset() [2/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>

std::__profile::multiset< _Key, _Compare, _Allocator >::multiset | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | const _Compare & | __comp = `_Compare()`,
|  | const _Allocator & | __a = `_Allocator()`
| ) |  |

inline

Definition at line 96 of file profile/multiset.h.

## multiset() [3/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::__profile::multiset< _Key, _Compare, _Allocator >::multiset | ( | initializer_list< value_type > | __l,
|  | const _Compare & | __comp = `_Compare()`,
|  | const allocator_type & | __a = `allocator_type()`
| ) |  |

inline

Definition at line 102 of file profile/multiset.h.

## multiset() [4/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::__profile::multiset< _Key, _Compare, _Allocator >::multiset | ( | const allocator_type & | __a | ) |

inline explicit

Definition at line 108 of file profile/multiset.h.

## multiset() [5/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::__profile::multiset< _Key, _Compare, _Allocator >::multiset | ( | const multiset< _Key, _Compare, _Allocator > & | __x,
|  | const allocator_type & | __a
| ) |  |

inline

Definition at line 111 of file profile/multiset.h.

## multiset() [6/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::__profile::multiset< _Key, _Compare, _Allocator >::multiset | ( | multiset< _Key, _Compare, _Allocator > && | __x,
|  | const allocator_type & | __a
| ) |  |

inline noexcept

Definition at line 114 of file profile/multiset.h.

## multiset() [7/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::__profile::multiset< _Key, _Compare, _Allocator >::multiset | ( | initializer_list< value_type > | __l,
|  | const allocator_type & | __a
| ) |  |

inline

Definition at line 118 of file profile/multiset.h.

## multiset() [8/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _InputIterator >

std::__profile::multiset< _Key, _Compare, _Allocator >::multiset | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | const allocator_type & | __a
| ) |  |

inline

Definition at line 122 of file profile/multiset.h.

## multiset() [9/9]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::__profile::multiset< _Key, _Compare, _Allocator >::multiset | ( | const _Base & | __x | ) |

inline

Definition at line 127 of file profile/multiset.h.

## Member Function Documentation

## _M_base() [1/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const _Base & std::__profile::multiset< _Key, _Compare, _Allocator >::_M_base | ( |  | ) | const

inline noexcept

Definition at line 564 of file profile/multiset.h.

## _M_base() [2/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

_Base & std::__profile::multiset< _Key, _Compare, _Allocator >::_M_base | ( |  | ) |

inline noexcept

Definition at line 561 of file profile/multiset.h.

## _M_profile_construct()

template<typename _Cont >

void std::__profile::_Ordered_profile< _Cont >::_M_profile_construct | ( |  | ) |

inline protected noexcept inherited

Definition at line 75 of file ordered_base.h.

## _M_profile_destruct()

template<typename _Cont >

void std::__profile::_Ordered_profile< _Cont >::_M_profile_destruct | ( |  | ) |

inline protected noexcept inherited

Definition at line 79 of file ordered_base.h.

## _M_profile_iterate()

template<typename _Cont >

void std::__profile::_Ordered_profile< _Cont >::_M_profile_iterate | ( | int | __rewind = `0` | ) | const

inline inherited

Definition at line 40 of file ordered_base.h.

## _M_swap()

template<typename _Cont >

void std::__profile::_Ordered_profile< _Cont >::_M_swap | ( | _Ordered_profile< _Cont > & | __other | ) |

inline protected inherited

Definition at line 86 of file ordered_base.h.

## begin() [1/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::begin | ( |  | ) | const

inline noexcept

Definition at line 162 of file profile/multiset.h.

## begin() [2/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::begin | ( |  | ) |

inline noexcept

Definition at line 158 of file profile/multiset.h.

## cbegin()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::cbegin | ( |  | ) | const

inline noexcept

Definition at line 175 of file profile/multiset.h.

## cend()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::cend | ( |  | ) | const

inline noexcept

Definition at line 179 of file profile/multiset.h.

## clear()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

void std::__profile::multiset< _Key, _Compare, _Allocator >::clear | ( |  | ) |

inline noexcept

Definition at line 366 of file profile/multiset.h.

## count() [1/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

size_type std::__profile::multiset< _Key, _Compare, _Allocator >::count | ( | const _Kt & | __x | ) | const

inline

Definition at line 385 of file profile/multiset.h.

## count() [2/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

size_type std::__profile::multiset< _Key, _Compare, _Allocator >::count | ( | const key_type & | __x | ) | const

inline

Definition at line 374 of file profile/multiset.h.

## crbegin()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_reverse_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::crbegin | ( |  | ) | const

inline noexcept

Definition at line 213 of file profile/multiset.h.

## crend()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_reverse_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::crend | ( |  | ) | const

inline noexcept

Definition at line 220 of file profile/multiset.h.

## emplace()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename... _Args>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::emplace | ( | _Args &&... | __args | ) |

inline

Definition at line 239 of file profile/multiset.h.

## emplace_hint()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename... _Args>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::emplace_hint | ( | const_iterator | __pos,
|  | _Args &&... | __args
| ) |  |

inline

Definition at line 249 of file profile/multiset.h.

## end() [1/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::end | ( |  | ) | const

inline noexcept

Definition at line 170 of file profile/multiset.h.

## end() [2/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::end | ( |  | ) |

inline noexcept

Definition at line 166 of file profile/multiset.h.

## equal_range() [1/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

std::pair< iterator, iterator > std::__profile::multiset< _Key, _Compare, _Allocator >::equal_range | ( | const _Kt & | __x | ) |

inline

Definition at line 541 of file profile/multiset.h.

## equal_range() [2/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

std::pair< const_iterator, const_iterator > std::__profile::multiset< _Key, _Compare, _Allocator >::equal_range | ( | const _Kt & | __x | ) | const

inline

Definition at line 552 of file profile/multiset.h.

## equal_range() [3/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::pair< iterator, iterator > std::__profile::multiset< _Key, _Compare, _Allocator >::equal_range | ( | const key_type & | __x | ) |

inline

Definition at line 515 of file profile/multiset.h.

## equal_range() [4/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

std::pair< const_iterator, const_iterator > std::__profile::multiset< _Key, _Compare, _Allocator >::equal_range | ( | const key_type & | __x | ) | const

inline

Definition at line 527 of file profile/multiset.h.

## erase() [1/3]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

size_type std::__profile::multiset< _Key, _Compare, _Allocator >::erase | ( | const key_type & | __x | ) |

inline

Definition at line 335 of file profile/multiset.h.

## erase() [2/3]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::erase | ( | const_iterator | __first,
|  | const_iterator | __last
| ) |  |

inline

Definition at line 344 of file profile/multiset.h.

## erase() [3/3]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::erase | ( | const_iterator | __pos | ) |

inline

Definition at line 320 of file profile/multiset.h.

## find() [1/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::find | ( | const _Kt & | __x | ) |

inline

Definition at line 414 of file profile/multiset.h.

## find() [2/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

const_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::find | ( | const _Kt & | __x | ) | const

inline

Definition at line 424 of file profile/multiset.h.

## find() [3/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::find | ( | const key_type & | __x | ) |

inline

Definition at line 394 of file profile/multiset.h.

## find() [4/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::find | ( | const key_type & | __x | ) | const

inline

Definition at line 403 of file profile/multiset.h.

## insert() [1/6]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>>

void std::__profile::multiset< _Key, _Compare, _Allocator >::insert | ( | _InputIterator | __first,
|  | _InputIterator | __last
| ) |  |

inline

Definition at line 306 of file profile/multiset.h.

## insert() [2/6]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::insert | ( | const value_type & | __x | ) |

inline

Definition at line 261 of file profile/multiset.h.

## insert() [3/6]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::insert | ( | const_iterator | __pos,
|  | const value_type & | __x
| ) |  |

inline

Definition at line 277 of file profile/multiset.h.

## insert() [4/6]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::insert | ( | const_iterator | __pos,
|  | value_type && | __x
| ) |  |

inline

Definition at line 289 of file profile/multiset.h.

## insert() [5/6]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

void std::__profile::multiset< _Key, _Compare, _Allocator >::insert | ( | initializer_list< value_type > | __l | ) |

inline

Definition at line 314 of file profile/multiset.h.

## insert() [6/6]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::insert | ( | value_type && | __x | ) |

inline

Definition at line 269 of file profile/multiset.h.

## lower_bound() [1/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::lower_bound | ( | const _Kt & | __x | ) |

inline

Definition at line 453 of file profile/multiset.h.

## lower_bound() [2/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

const_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::lower_bound | ( | const _Kt & | __x | ) | const

inline

Definition at line 464 of file profile/multiset.h.

## lower_bound() [3/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::lower_bound | ( | const key_type & | __x | ) |

inline

Definition at line 432 of file profile/multiset.h.

## lower_bound() [4/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::lower_bound | ( | const key_type & | __x | ) | const

inline

Definition at line 441 of file profile/multiset.h.

## operator=()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

multiset & std::__profile::multiset< _Key, _Compare, _Allocator >::operator= | ( | initializer_list< value_type > | __l | ) |

inline

Definition at line 147 of file profile/multiset.h.

## rbegin() [1/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_reverse_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::rbegin | ( |  | ) | const

inline noexcept

Definition at line 191 of file profile/multiset.h.

## rbegin() [2/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

reverse_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::rbegin | ( |  | ) |

inline noexcept

Definition at line 184 of file profile/multiset.h.

## rend() [1/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_reverse_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::rend | ( |  | ) | const

inline noexcept

Definition at line 205 of file profile/multiset.h.

## rend() [2/2]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

reverse_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::rend | ( |  | ) |

inline noexcept

Definition at line 198 of file profile/multiset.h.

## swap()

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

void std::__profile::multiset< _Key, _Compare, _Allocator >::swap | ( | multiset< _Key, _Compare, _Allocator > & | __x | ) |

inline noexcept

Definition at line 228 of file profile/multiset.h.

## upper_bound() [1/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::upper_bound | ( | const _Kt & | __x | ) |

inline

Definition at line 495 of file profile/multiset.h.

## upper_bound() [2/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
template<typename _Kt , typename _Req = typename __has_is_transparent<_Compare, _Kt>::type>

const_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::upper_bound | ( | const _Kt & | __x | ) | const

inline

Definition at line 506 of file profile/multiset.h.

## upper_bound() [3/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

iterator std::__profile::multiset< _Key, _Compare, _Allocator >::upper_bound | ( | const key_type & | __x | ) |

inline

Definition at line 473 of file profile/multiset.h.

## upper_bound() [4/4]

template<typename _Key , typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>

const_iterator std::__profile::multiset< _Key, _Compare, _Allocator >::upper_bound | ( | const key_type & | __x | ) | const

inline

Definition at line 483 of file profile/multiset.h.

## Member Data Documentation

## _M_map2umap_info

template<typename _Cont >

__gnu_profile::__map2umap_info* std::__profile::_Ordered_profile< _Cont >::_M_map2umap_info

protected inherited

Definition at line 89 of file ordered_base.h.

The documentation for this class was generated from the following file:

- profile/multiset.h